diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 822ef4b..f2fbe05 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2072,8 +2072,9 @@ SET ENABLE_SEQSCAN TO OFF;
         synchronous standby that will wake sleeping users following commit.
         The synchronous standby will be the first named standby that is
         both currently connected and streaming in real-time to the standby
-        (as shown by a state of "STREAMING").  Other standby servers
-        with listed later will become potential synchronous standbys.
+        (as shown by a state of "STREAMING" visible in the sync_state column
+        of the pg_stat_replication view).  Other standby servers
+        subsequently listed will become potential synchronous standbys.
         If the current synchronous standby disconnects for whatever reason
         it will be replaced immediately with the next highest priority standby.
         Specifying more than one standby name can allow very high availability.
@@ -2092,7 +2093,7 @@ SET ENABLE_SEQSCAN TO OFF;
        </para>
        <para>
         If a standby is removed from the list of servers then it will stop
-        being the synchronous standby, allowing another to take it's place.
+        being the synchronous standby, allowing another to take its place.
         If the list is empty, synchronous replication will not be
         possible, whatever the setting of <varname>synchronous_replication</>,
         however, already waiting commits will continue to wait.
diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index e30552f..e33d315 100644
--- a/doc/src/sgml/high-availability.sgml
+++ b/doc/src/sgml/high-availability.sgml
@@ -927,7 +927,7 @@ primary_conninfo = 'host=192.168.1.50 port=5432 user=foo password=foopass'
 
    <para>
     All parameters have useful default values, so we can enable
-    synchronous replication easily just by setting this on the primary
+    synchronous replication easily just by setting this on the primary:
 
 <programlisting>
 synchronous_replication = on
@@ -938,7 +938,7 @@ synchronous_replication = on
     even if that takes a very long time.
     <varname>synchronous_replication</> can be set by individual
     users, so can be configured in the configuration file, for particular
-    users or databases, or dynamically by applications programs.
+    users or databases, or dynamically by applications.
    </para>
 
    <para>
@@ -1008,9 +1008,6 @@ synchronous_replication = on
    <para>
     You should consider that the network bandwidth must be higher than
     the rate of generation of WAL data.
-    10% of changes are important customer details, while
-    90% of changes are less important data that the business can more
-    easily survive if it is lost, such as chat messages between users.
    </para>
 
    </sect3>
@@ -1019,7 +1016,7 @@ synchronous_replication = on
     <title>Planning for High Availability</title>
 
    <para>
-    Commits made when synchronous_replication is set will wait until at
+    Commits made when synchronous_replication is set will wait until
     the sync standby responds. The response may never occur if the last,
     or only, standby should crash.
    </para>
